tigase.jaxmpp.core.client

## Interface Connector.StateChangedHandler

- All Superinterfaces:
    EventHandler
  All Known Implementing Classes:
    ConnectionManager
  Enclosing interface:
    Connector

      public static interface Connector.StateChangedHandler
      extends EventHandler

  Implemented by handlers of StateChangedEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Connector.StateChangedHandler.StateChangedEvent` Fired after connection state is changed.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStateChanged(SessionObject sessionObject, Connector.State oldState, Connector.State newState)` Called when StateChangedEvent is fired.

- - ### Method Detail

    - #### onStateChanged

          void onStateChanged(SessionObject sessionObject,
                              Connector.State oldState,
                              Connector.State newState)
                       throws JaxmppException

      Called when StateChangedEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.
        `oldState` - previous connector state.
        `newState` - new connector state.
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.